Subject: Re: bug#49621: 28.0.50; tramp: Remote lock symlink remains after save-buffer

From: Michael Albinus <[email-masked]>
Date: Sun, 18 Jul 2021 17:02:12 +0200

Version:28.1

Naofumi Yasufuku <[email-masked]> writes:

Hi Naofumi,

> `tramp-sh-handle-write-region' doesn't unlock the file whose lock is
> already acquired.  The following change can solve this problem for sh
> methods.  It seems that all tramp methods have the same problem.

Thanks, I've applied the patch to tramp-sh.el in your name. I've applied also
similar patches to the other Tramp files, and I've extended the Tramp
tests for this case. Closing the bug.

> Regards,
> --Naofumi

Best regards, Michael.